package Bulletin_Board is
  pragma Remote_Call_Interface;
  --  This makes the package a Remote Call Interface (RCI), so the subprograms
  --  below are remotely callable.

  --  This pragma enforces some restrictions on the unit to ensure that any
  --  visible subprogram can actually be called remotely, and in particular
  --  that the types of the parameters are suitable for transport over a
  --  communication link from one partition to another.

  subtype Length is Natural range 0 .. 100;
  type News_Item (Author_Length, Message_Length : Length := 0) is record
     Author  : String (1 .. Author_Length);
     Message : String (1 .. Message_Length);
  end record;

  type News_Items is array (Positive range <>) of News_Item;

  procedure Post (Item : News_Item);
  function Whats_Up return News_Items;
end Bulletin_Board;
